
DECLARE_SYMBOL(clearerr, void, (FILE *stream));

// ... 

LOAD_SYMBOL(clearerr);

// ...

/************************************************************************/
/*                             clearerr()                               */
/************************************************************************/

void clearerr(FILE *stream)
{
    myinit();
    VSILFILE* fpVSIL = getVSILFILE(stream);
    int DEBUG_VSIPRELOAD_COND = GET_DEBUG_VSIPRELOAD_COND(fpVSIL);
    if (DEBUG_VSIPRELOAD_COND) fprintf(stderr, "clearerr(stream=%p)\n", stream);
    if( fpVSIL != NULL )
    {
        fprintf(stderr, "clearerr() unimplemented for VSILFILE\n");
    }
    else
        pfnclearerr(stream);
}